summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild')
-rw-r--r--app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild46
1 files changed, 46 insertions, 0 deletions
diff --git a/app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild b/app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild
new file mode 100644
index 00000000000..57efe93d042
--- /dev/null
+++ b/app-accessibility/nfbtrans/nfbtrans-7.74-r2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="braille translator from the National Federation of the Blind"
+HOMEPAGE="http://www.nfb.org/nfbtrans"
+SRC_URI="http://www.nfb.org/Images/nfb/Products_Technology/nfbtr774.zip"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND=" >=app-arch/unzip-5.50-r2"
+RDEPEND=""
+
+S=${WORKDIR}
+
+PATCHES=(
+"${FILESDIR}"/${P}-gentoo-fix.patch
+"${FILESDIR}"/${P}-getline-fix.patch
+"${FILESDIR}"/${P}-respect-ldflags.patch
+)
+
+src_prepare() {
+ mv MAKEFILE Makefile || die
+ mv SPANISH.ZIP spanish.zip || die
+ emake lowercase
+ default
+}
+
+src_compile() {
+ emake CC=$(tc-getCC) \
+ LIBS= \
+ CFLAGS="${CFLAGS} -DLINUX" LDFLAGS="${LDFLAGS}" all
+}
+
+src_install() {
+ dobin nfbtrans
+ dodoc *fmt readme.txt makedoc
+ insinto /etc/nfbtrans
+ doins *cnf *tab *dic spell.dat *zip
+}